%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.8.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Python
Url:		http://pyinotify.sourceforge.net/
Source0:	http://seb.dbzteam.org/pub/pyinotify/releases/%{oname}-%{version}.tar.gz
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}
BuildRequires:	epydoc
%py_requires -d
# pyinotify can use psyco to speed things up, unfortunaltely,
# psyco does not work under x86_64
#Suggests:	python-psyco
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%prep
%setup -q -n %{oname}

%build
%{__python} setup.py build
%make doc

%install
rm -rf %{buildroot}
%{__python} setup.py install  --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS TODO
%doc docstrings
%{py_puresitedir}/*


%changelog
* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.7-1mdv2010.0
+ Revision: 449203
- Update to new version 0.8.7
- Remove libc version check patch integrated upstream

* Sun Jun 07 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.6-2mdv2010.0
+ Revision: 383771
- fix libc version check

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.6-1mdv2010.0
+ Revision: 383755
- do some speac file cleaning

  + Jérôme Brenier <incubusss@mandriva.org>
    - initial package python-pyinotify
    - Created package structure for python-pyinotify.

